﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System;

public class CameraManager : MonoBehaviour {
    private Camera camera;
    private TransformFollower transformFollower;
    private Vector2 zoomFromTo;
    public float offsetPercent;
    public float maxCameraXOffset;
    private float cameraSize;
    public float damping = 2;
    public float maxCameraSizeGrow;
 
    // Use this for initialization
    void Start () {
        camera = GetComponent<Camera>();
        if (camera == null)
        {
            Debug.Log("Could not find the camera object");
        }

        transformFollower = GetComponent<TransformFollower>();

        if (transformFollower == null)
        {
            Debug.Log("Could not find the transform follower object");
        }

        zoomFromTo = new Vector2(7, 7);
        cameraSize = 7;
        camera.orthographicSize = cameraSize;
	}
	
	// Update is called once per frame
	void FixedUpdate ()
    {
        zoomFromTo.x = camera.orthographicSize;
        camera.orthographicSize = Mathf.Lerp(zoomFromTo.x, zoomFromTo.y,Time.fixedDeltaTime * damping);
        transformFollower.offsetPosition.x = maxCameraXOffset * offsetPercent;
	}

    public void zoomOut()
    {
            zoomFromTo.x = cameraSize;
            zoomFromTo.y = cameraSize + maxCameraSizeGrow;
    }

    public void zoomIn()
    {
            zoomFromTo.x = cameraSize + maxCameraSizeGrow;
            zoomFromTo.y = cameraSize;
    }
 }
