﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TriggerZone : MonoBehaviour {
    public GameObject[] objectsToTrigger;
    public bool triggerOnStay = false;
    private void OnTriggerEnter2D(Collider2D collision)
    {
        triggerEvent(collision);
    }

    private void OnTriggerStay2D(Collider2D collision)
    {
        if(triggerOnStay)
        { 
            triggerEvent(collision);
        }
    }

    private void triggerEvent(Collider2D collision)
    {
        foreach (GameObject go in objectsToTrigger)
        {
            ITriggableObject triggable = (ITriggableObject)go.GetComponent(typeof(ITriggableObject));
            if (triggable != null)
            {
                triggable.triggerEvent(collision);
            }
        }
    }

}
